#!/bin/sh

. install2-init-functions

sed -i -e 's/^id:.:initdefault:/id:3:initdefault:/' $destdir/etc/inittab

new_common='acpid
consolesaver
fbsetfont
keytable
klogd
local
mdadm
messagebus
network
random
splash
sysfs
syslogd
udevd
udevd-final'
new_3="anacron
avahi-daemon
crond
cups
gssd
idmapd
kvm
libvirtd
netfs
nfs
nfslock
ntpd
portmap
postfix
slapd
smb
sshd
vz
xinetd
gpm
$new_common"


for s in $(find $destdir/etc/rc.d/rc[35].d/ -name 'S[0-9][0-9]?*' -printf '%f\n' |
		cut -b4- |sort -u); do
	printf '%s\n' "$new_3" |fgrep -qsx "$s" ||
		exec_chroot chkconfig --level 3 $s off
done

exit 0
